<template>
  <div class="d-note" :style="`background-color: ${getColor}`" v-html="getFormatedText" />
</template>

<script>
export default {
  props: {
    text: {
      default: "",
      type: String
    },
    color: {
      default: "#5db9fe",
      type: String
    }
  },

  computed: {
    getFormatedText() {
      return this.text.replace("\n", "<br>");
    },

    getColor() {
      if (this.color === "warning") {
        return "#ffb300";
      } else {
        return this.color;
      }
    }
  }
};
</script>

<style lang="scss" scoped>
.d-note {
  position: relative;
  width: 100%;
  min-height: 50px;
  color: white;
  border-radius: 7px;
  padding: 14px 15px;
  margin-bottom: 30px;

  @media (max-width: 576px) {
    width: 92%;
    left: 4%;
  }
}
</style>
